using System;
using System.Text;

namespace kv1
{
    class Program
    {
        static string Novi_broj(int x, int y)
        {
            StringBuilder novi_broj = new StringBuilder();
            int c_x;
            int c_y;
            while (x != 0 || y != 0)
            {
                c_x = x % 10;
                c_y = y % 10;
                if (x == 0) novi_broj.Insert(0, c_y);
                else if (y == 0) novi_broj.Insert(0, c_x);
                else
                {
                    if (c_x > c_y) novi_broj.Insert(0, c_x);
                    else if (c_y > c_x) novi_broj.Insert(0, c_y);
                    else
                    {
                        novi_broj.Insert(0, c_x);
                        novi_broj.Insert(0, c_y);
                    }
                }
                x /= 10;
                y /= 10;
            }
            return novi_broj.ToString();
        }
        static void Main(string[] args)
        {
            int x = Convert.ToInt32(Console.ReadLine());
            int y = Convert.ToInt32(Console.ReadLine());
            Console.WriteLine(Novi_broj(x, y));
        }
    }
}